'GET', 'callback' => [ $this, 'handle' ], 'permission_callback' => '__return_true', // Public on purpose. ] ); } public function handle( WP_REST_Request $request ): WP_REST_Response { return new WP_REST_Response( [ 'shiftora' => true, 'timestamp' => time(), 'site_url' => esc_url_raw( get_site_url() ), 'version' => SHIFTORA_VERSION, 'transfer_protocol' => TransferProtocol::CURRENT, 'allow_pull' => (bool) get_option( 'shiftora_allow_pull', true ), 'ajax_url' => admin_url( 'admin-ajax.php' ), 'signs_responses' => true, 'accepts_key_id' => true, ], 200 ); } }